Bug 728536

Summary: CVE-2006-1168 busybox: uncompress buffer underflow
Product: [Fedora] Fedora Reporter: Tomas Hoger <thoger>
Component: busyboxAssignee: Denys Vlasenko <dvlasenk>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dvlasenk, maxamillion
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-03 15:54:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201919    

Description Tomas Hoger 2011-08-05 12:55:17 UTC
Description of problem:
busybox embeds (n)compress code in its libunarchive/libarchive.  This embedded copy has not been patched for the following bug:

https://bugs.gentoo.org/show_bug.cgi?id=141728
http://ncompress.git.sourceforge.net/git/gitweb.cgi?p=ncompress/ncompress;a=commitdiff;h=e21aad4a5a3ba0b6c2279b28a80f85b0b226a175

Steps to Reproduce:
$ perl -e 'print "\x1f\x9d\x90","\x01"x"2048"' | busybox uncompress
Segmentation fault

Comment 1 Tomas Hoger 2011-08-05 13:03:44 UTC
bss or heap, depending on the version, it seems.

Comment 2 Denys Vlasenko 2011-08-18 12:32:58 UTC
Fixed in upstream git:

commit 251fc70e9722f931eec23a34030d05ba5f747b0e
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Thu Aug 18 14:29:41 2011 +0200

    uncompress: fix buffer underrun by corrupted input


Fix for the latest release:

http://busybox.net/downloads/fixes-1.19.0/busybox-1.19.0-uncompress.patch

Comment 3 Denys Vlasenko 2011-11-03 15:54:18 UTC
F17 is rebased to busybox-1.19.3, which contains this fix